Skip to main content
`Ctrl`+`K`

# KSPGetReusePreconditioner

Determines if the `KSP` reuses the current preconditioner even if the `Mat` operator in the `KSP` has changed.

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPGetReusePreconditioner(KSP ksp, PetscBool *flag)

Collective

## Input Parameter

- ksp - iterative solver obtained from `KSPCreate()`

## Output Parameter

- flag - the boolean flag indicating if the current preconditioner should be reused

## See Also

KSP: Linear System Solvers, `KSPCreate()`, `KSPSolve()`, `KSPDestroy()`, `KSPSetReusePreconditioner()`, `KSP`

## Level

intermediate

## Location

src/ksp/ksp/interface/itfunc.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages